// ===========================================================================
//  Copyright 1996 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       shape
//  TYPE:       c++ code
//  PROJECT:    lodestar
//  CONTENT:    implementation of class Shape, class Vertex
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rs      Reinhard Sainitzer
//		hb      Herbert Buchegger
// ===========================================================================
//  HISTORY:
//
// ===========================================================================

#include "shape.h"

//----------------------------------------------------------------------------
//   class Vertex 
//----------------------------------------------------------------------------

//---Vertex::Vertex-----------------------------------------------------------
// Input :
// Output:

Vertex::Vertex()
{
    coord=NULL;
    material=NULL;
    normal=NULL;
    textureCoord=NULL;
}

//---Vertex::Vertex-----------------------------------------------------------
// Input : Coord *coo           : init
//         Material *mat        : init
//         Normal *nor          : init
//         TextureCoord *tex    : init
// Output:

Vertex::Vertex(Coord *coo, Material *mat, Normal *nor, TextureCoord *tex)
{
    coord=coo;
    material=mat;
    normal=nor;
    textureCoord=tex;
}

//----------------------------------------------------------------------------
//  class Shape
//----------------------------------------------------------------------------

//---Shape::Shape-------------------------------------------------------------
// Input :
// Output:

Shape::Shape()
{
    done=0;
    next=NULL;
}

//----------------------------------------------------------------------------
